Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 589564 - [abrt] crash in eclipse-platform-1:3.5.2-3.2.el6: Process /usr/lib/eclipse/eclipse was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in eclipse-platform-1:3.5.2-3.2.el6: Process /usr/lib/eclipse/ec...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: eclipse
Version: 6.0
Hardware: i686
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Chris Aniszczyk
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard: abrt_hash:2717f095abeb8d28a890af194ca...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 13:04 UTC by Michal Nowak
Modified: 2014-07-25 05:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-07 15:52:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
File: backtrace (15.84 KB, text/plain)
2010-05-06 13:04 UTC, Michal Nowak
no flags Details
New crash from current eclipse (3.14 KB, application/octet-stream)
2010-06-09 07:58 UTC, Michal Nowak
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Eclipse Project 312266 0 None None None Never

Description Michal Nowak 2010-05-06 13:04:19 UTC
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/eclipse/eclipse
component: eclipse
executable: /usr/lib/eclipse/eclipse
global_uuid: 2717f095abeb8d28a890af194ca164a9bc5ad4eb
kernel: 2.6.32-23.el6.i686
package: eclipse-platform-1:3.5.2-3.2.el6
rating: 4
reason: Process /usr/lib/eclipse/eclipse was killed by signal 11 (SIGSEGV)
release: Red Hat Enterprise Linux release 6.0 Beta (Santiago)

Comment 1 Michal Nowak 2010-05-06 13:04:21 UTC
Created attachment 411998 [details]
File: backtrace

Comment 2 Michal Nowak 2010-05-06 13:10:21 UTC
How to reproduce:

1. run vncserver
2. connect to the display
3. you are in GNOME env as a root
4. open terminal
5. create user
6. su - user
7. eclipse

You got a lot of gtk & gdk failed assertions and then Segmentation fault. I do not expect Eclipse to work in this environment but Segmentation fault is not OK too.

Comment 3 Michal Nowak 2010-05-06 13:15:12 UTC
[newman@auto-i386-001 ~]$ eclipse
No protocol specified

(eclipse:4144): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(eclipse:4144): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(eclipse:4144): Gtk-CRITICAL **: gtk_settings_get_for_screen: assertion `GDK_IS_SCREEN (screen)' failed

(eclipse:4144): Gtk-WARNING **: Screen for GtkWindow not set; you must always set
a screen for a GtkWindow before using the window

(eclipse:4144): Gtk-WARNING **: Screen for GtkWindow not set; you must always set
a screen for a GtkWindow before using the window

(eclipse:4144): Gdk-CRITICAL **: gdk_screen_get_display: assertion `GDK_IS_SCREEN (screen)' failed

(eclipse:4144): Gdk-CRITICAL **: gdk_display_get_pointer: assertion `GDK_IS_DISPLAY (display)' failed

(eclipse:4144): Gtk-WARNING **: Screen for GtkWindow not set; you must always set
a screen for a GtkWindow before using the window

(eclipse:4144): Gdk-CRITICAL **: gdk_screen_get_n_monitors: assertion `GDK_IS_SCREEN (screen)' failed

(eclipse:4144): Gtk-WARNING **: Screen for GtkWindow not set; you must always set
a screen for a GtkWindow before using the window

(eclipse:4144): Gdk-CRITICAL **: gdk_screen_get_monitor_geometry: assertion `GDK_IS_SCREEN (screen)' failed

(eclipse:4144): Gdk-CRITICAL **: gdk_screen_get_default_colormap: assertion `GDK_IS_SCREEN (screen)' failed

(eclipse:4144): Gdk-CRITICAL **: gdk_colormap_get_visual: assertion `GDK_IS_COLORMAP (colormap)' failed

(eclipse:4144): Gdk-CRITICAL **: gdk_screen_get_default_colormap: assertion `GDK_IS_SCREEN (screen)' failed

(eclipse:4144): Gdk-CRITICAL **: gdk_screen_get_root_window: assertion `GDK_IS_SCREEN (screen)' failed

(eclipse:4144): Gdk-CRITICAL **: gdk_screen_get_root_window: assertion `GDK_IS_SCREEN (screen)' failed

(eclipse:4144): Gdk-CRITICAL **: gdk_window_new: assertion `GDK_IS_WINDOW (parent)' failed
/usr/bin/eclipse: line 6:  4144 Segmentation fault      (core dumped) /usr/lib/eclipse/eclipse "$@"

Comment 4 Andrew Overholt 2010-05-06 13:32:55 UTC
Chris, please investigate.

Comment 6 RHEL Program Management 2010-05-06 14:45:14 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 7 Chris Aniszczyk 2010-05-10 14:22:53 UTC
I was able to reproduce this once... after trying for quite awhile... but I'm not 100% sure if it's the vncserver or something else that is acting up. I've filed a bug upstream asking for assistance from the SWT team.

https://bugs.eclipse.org/bugs/show_bug.cgi?id=312266

Comment 8 Andrew Overholt 2010-06-08 18:41:29 UTC
Chris, after Helios is released, please follow up with upstream.  Thanks.

Comment 9 Michal Nowak 2010-06-09 07:58:30 UTC
Created attachment 422466 [details]
New crash from current eclipse

eclipse-platform-3.5.2-3.2.el6.x86_64
gtk2-2.18.9-4.el6.x86_64
java-1.6.0-openjdk-1.6.0.0-1.17.b16.el6.x86_64
eclipse-swt-3.5.2-3.2.el6.x86_64

Comment 10 Michal Nowak 2010-06-09 08:01:15 UTC
When I open `gcalctool` it ends with "cannot open display". When I run `xhost +` as a root I successfully open both `gcalctool` and `eclipse`.

Comment 11 Andrew Overholt 2010-06-29 17:23:54 UTC
Should we close this as upstream?  Chris, do you want to do any more investigation?

Comment 12 Chris Aniszczyk 2010-07-07 14:49:59 UTC
Let's close as upstream. How is that done?

Comment 13 Chris Aniszczyk 2010-07-07 15:52:09 UTC
Closed for upstream...


Note You need to log in before you can comment on or make changes to this bug.